Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Files are used to upload documents that can be used with features like Deployments.
curl --request POST \
--url https://api.orq.ai/v2/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>",
"content": "<string>",
"purpose": 123,
"content_type": "<string>"
}
'{
"file": {
"file_id": "<string>",
"purpose": 123,
"file_name": "<string>",
"workspace_id": "<string>",
"bytes": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Was this page helpful?
curl --request POST \
--url https://api.orq.ai/v2/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filename": "<string>",
"content": "<string>",
"purpose": 123,
"content_type": "<string>"
}
'{
"file": {
"file_id": "<string>",
"purpose": 123,
"file_name": "<string>",
"workspace_id": "<string>",
"bytes": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}